# IRPCLogin.LogOut

Location: [gRPC API](https://developer.m-files.com/APIs/gRPC-API/index.md) > [Vault API](https://developer.m-files.com/APIs/gRPC-API/vault/index.md) > [Login and sessions](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCLogin/index.md)

HTML version: https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCLogin/LogOut/

Badges: `Vault API / core` `session` `session`

Ends the session and releases its license.

- **Service:** [Login and sessions](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCLogin/index.md) `MFiles.IRPCLogin`
- **gRPC method:** `/MFiles.IRPCLogin/LogOut`
- **HTTP (mf-http-grpc):** `POST /grpc/v1/log-out`
- **Request:** [`LogOutRequest`](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCLogin/LogOut/index.md#request)
- **Response:** [`LogOutResponse`](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCLogin/LogOut/index.md#response)
- **Book and level:** Vault API, core
- **Kind:** session
- **Session:** Required: the session ID from LogIn in the mfiles-session-id-bin metadata.
- **Idempotent:** no
- **Returns metadata structure version:** no
- **Streaming:** none (unary)

<a id="remarks"></a>

## Remarks

Send the session to end in `mfiles-session-id-bin`. After this, the session ID is rejected with
`UNAUTHENTICATED`.

The vault's "before logout" event handlers may fail without stopping the logout. Sessions that
vault applications receive from the server cannot be logged out (`E_MFILES_ACCESS_DENIED`).

<a id="request"></a>

## Request: LogOutRequest

No fields.

<a id="response"></a>

## Response: LogOutResponse

No fields.
